GNU bug report logs - #19929
24.4; sh-mode: sh-electric-here-document-mode gets in the way when inserting a here-string

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: thibaut.verron@HIDDEN; merged with #3226; dated Mon, 23 Feb 2015 16:50:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 3226 19929. Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 Feb 2015 16:49:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 23 11:49:16 2015
Received: from localhost ([127.0.0.1]:51595 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YPwC3-0005hr-Ry
	for submit <at> debbugs.gnu.org; Mon, 23 Feb 2015 11:49:16 -0500
Received: from eggs.gnu.org ([208.118.235.92]:41088)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <thibaut.verron@HIDDEN>) id 1YPoX1-0007li-GL
 for submit <at> debbugs.gnu.org; Mon, 23 Feb 2015 03:38:24 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <thibaut.verron@HIDDEN>) id 1YPoX0-0007bt-7S
 for submit <at> debbugs.gnu.org; Mon, 23 Feb 2015 03:38:23 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_40,FREEMAIL_FROM,
 HTML_MESSAGE,T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:60276)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <thibaut.verron@HIDDEN>) id 1YPoX0-0007bp-41
 for submit <at> debbugs.gnu.org; Mon, 23 Feb 2015 03:38:22 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:42801)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <thibaut.verron@HIDDEN>) id 1YPoWy-0003qg-V9
 for bug-gnu-emacs@HIDDEN; Mon, 23 Feb 2015 03:38:22 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <thibaut.verron@HIDDEN>) id 1YPoWx-0007aV-Ku
 for bug-gnu-emacs@HIDDEN; Mon, 23 Feb 2015 03:38:20 -0500
Received: from mail-wi0-x22b.google.com ([2a00:1450:400c:c05::22b]:34548)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <thibaut.verron@HIDDEN>) id 1YPoWx-0007aP-Dk
 for bug-gnu-emacs@HIDDEN; Mon, 23 Feb 2015 03:38:19 -0500
Received: by mail-wi0-f171.google.com with SMTP id hi2so14971210wib.4
 for <bug-gnu-emacs@HIDDEN>; Mon, 23 Feb 2015 00:38:18 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:reply-to:from:date:message-id:subject:to:content-type;
 bh=dZdOxfKosLs22Qz+f0VPGRwAdqkkOckk4gNX+tL0ink=;
 b=qACVYdPX7pxaPGPDHZ98/Oe73NNwMRir7MkUkj8kzPj3Xo+hFde0+qrf9fmO9OhP3p
 Kw0SIaWMSv0kI0pMj4p194jpNmNHl0AdMkZxE4oyT9C3fZ9hr/kXllJhX38Wan5QLV/F
 71Hv5KKVwZoIXWX7On486BypvhH3gumkRtYNb4Kvp4HdHy2w971RQZhUAMWoznG17cnh
 U98UG1Nk2fF98IaRjjtZUKKbRMyL5sLInJX5gxHySwVbZXTFqleIM/3WFmp1mCm6yzs9
 rYS/0OdJ11fC+cmSAwZyUYI0o8a3cW3EUYWGkMrdaIy2GaZQiOS7vG5kcTP5QoTPPywM
 19Mw==
X-Received: by 10.194.104.196 with SMTP id gg4mr19284309wjb.31.1424680698097; 
 Mon, 23 Feb 2015 00:38:18 -0800 (PST)
MIME-Version: 1.0
Received: by 10.27.179.17 with HTTP; Mon, 23 Feb 2015 00:37:57 -0800 (PST)
From: Thibaut Verron <thibaut.verron@HIDDEN>
Date: Mon, 23 Feb 2015 09:37:57 +0100
Message-ID: <CAFsi02RyVSY3utuk-Ct5MriSWkzLtGgemo2f6_erkPpdnEqxCA@HIDDEN>
Subject: 24.4; sh-mode: sh-electric-here-document-mode gets in the way when
 inserting a here-string
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary=089e010d83fcedb87f050fbd525c
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 23 Feb 2015 11:49:14 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: thibaut.verron@HIDDEN
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

--089e010d83fcedb87f050fbd525c
Content-Type: text/plain; charset=UTF-8

The electric behavior of sh-electric-here-document-mode (activated by
default) is annoying when someone does not want to insert a
here-document. For example, the here-string syntax requires to insert
<<<, but the second insertion will trigger the here-document.

Steps taken:
- activate `shell-script-mode`
- enter the following text:

       read line <<< "Line of text"

Expected result: the buffer contains

       read line <<< "Line of text"

Actual result: the buffer contains

       read line <<EOF
       < "Line of text"
       EOF

This report follows from this discussion:
http://thread.gmane.org/gmane.emacs.devel/183318

Solutions are also discussed there, for example tweaking the trigger so
that you need more than just '< <' to insert the here-doc.

--089e010d83fcedb87f050fbd525c
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div>The electric behavior of sh-electric-here-document-mo=
de (activated by</div><div>default) is annoying when someone does not want =
to insert a</div><div>here-document. For example, the here-string syntax re=
quires to insert</div><div>&lt;&lt;&lt;, but the second insertion will trig=
ger the here-document.</div><div><br></div><div>Steps taken:</div><div>- ac=
tivate `shell-script-mode`</div><div>- enter the following text:</div><div>=
<br></div><div>=C2=A0 =C2=A0 =C2=A0 =C2=A0read line &lt;&lt;&lt; &quot;Line=
 of text&quot;</div><div><br></div><div>Expected result: the buffer contain=
s</div><div><br></div><div>=C2=A0 =C2=A0 =C2=A0 =C2=A0read line &lt;&lt;&lt=
; &quot;Line of text&quot;</div><div><br></div><div>Actual result: the buff=
er contains</div><div><br></div><div>=C2=A0 =C2=A0 =C2=A0 =C2=A0read line &=
lt;&lt;EOF</div><div>=C2=A0 =C2=A0 =C2=A0 =C2=A0&lt; &quot;Line of text&quo=
t;</div><div>=C2=A0 =C2=A0 =C2=A0 =C2=A0EOF</div><div><br></div><div>This r=
eport follows from this discussion:=C2=A0<a href=3D"http://thread.gmane.org=
/gmane.emacs.devel/183318">http://thread.gmane.org/gmane.emacs.devel/183318=
</a></div><div><br></div><div>Solutions are also discussed there, for examp=
le tweaking the trigger so that you need more than just &#39;&lt; &lt;&#39;=
 to insert the here-doc.</div><div><br></div></div>

--089e010d83fcedb87f050fbd525c--




Acknowledgement sent to thibaut.verron@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#19929; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 1 Apr 2017 23:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.